Skip to main content
GET
Get evaluation count and last-evaluated date per product
You are reading the docs of Galtea 5.15. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

productIds
string[]
required

Repeated query param; one value per product. At most 100.

Maximum array length: 100
isProduction
boolean

Filter by the joined Session.isProduction flag.

versionIds
string[]

Repeated query param. Only these versions; a version of a product not in productIds matches nothing. At most 100.

Maximum array length: 100
statuses
enum<string>[]

Repeated query param. Only evaluations in these statuses. With SUCCESS and one version, lastEvaluatedAt is that version's latest successful evaluation.

Maximum array length: 7
Available options:
PENDING,
PENDING_HUMAN,
SUCCESS,
FAILED,
SKIPPED,
CANCELLED,
OUTDATED

Response

Evaluation summaries per product

productId
string
required

The requested product

count
integer
required

Non-deleted evaluations matching the filters

lastEvaluatedAt
string<date-time> | null
required

createdAt of the most recent matching evaluation, or null when there are none